Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Topics - Mentore

Pages: [1]
1
Setup & Installation / ArcaOS USB installation - Rufus?
« on: October 10, 2021, 10:48:42 am »
Hello all,
I finally got some free time to install ArcaOS beta in a Virtualbox environment.
Everything seems working fine so far. Have to install some applications, but I already saw some things that still need Italian translation - will make a checklist to discuss with my teammates. Now for a little problem:

I'm actually having issues trying to use AOSBoot and create a bootable USB stick. Everything goes well until the script ejects the thumbdrive and I re-insert it. Then, AOSBoot complains it can't format the USB stick and aborts.

Now: I'm not sure if this is due to the thumbdrive being "only" 4GB capable, or maybe because I didn't "touch" it with LVM, so I'd really love to understand how to use it with good results.

Speaking of USB boot sticks, I came across a USB tool named Rufus (https://rufus.ie/) which allows to create a bootable USB for linux distributions or windows ISO files. Sadly it doesn't recognize ArcaOS ISO as bootable or suitable for transferring it on an USB stick.

Don't know what I'm doing wrong but I feel Rufus may be another simple way to obtain an USB ArcaOS installation media. What do you think about it? In the meantime I think I'll try burning a bootable DVD, if AOSBoot keeps failing me (puzzles me how I seem unable to use it, though!!!).

TIA
Mentore

2
Programming / Porting Lilypond to OS/2 - eCS - Arca Noae
« on: November 05, 2019, 11:05:05 am »
Hello all,
currently we OS/2 users can benefit from at least four or five music typesetting programs:
  • NotaMusica 2.6 (beta 2.7) - commercial, discontinued
  • Plain MusixTeX - pretty uncommon, powerful but TeX is required (and am I right in saying we really lack a current TeX?)
  • MUP MUsic Publisher (ported by me, not up to date with the current release) - easy to compile, requires text input
  • ABC Music composer (idem)
  • Philip's Music Writer (idem)
  • Lastly, we should have also some simple guitar fakebook software like Chordii or Chordpro (ported by me)

Now I'd really love if we could make one step beyond and start using some real beast like LilyPond. I actually am not able to fire up my old eCS box (pretty old indeed - at least 4 years without upgrading hardware), but I'd like to tackle this huge piece of art. I know it still needs text input just like ABC or Mup, but it seems to have more features, so...

Now for the serious part. Among the requirements I can see Guile 1.8.8 and some other things it needs:

    GNU Autoconf
    GNU Bison                       (Use version 2.0 or newer.)
    GNU Compiler Collection  (Use version 3.4 or newer (4.x recommended)).
    GNU gettext                    (0.17 or newer)
    GNU Make                       (Use version 3.78 or newer.)

These listed above we should already have. I'm not sure about the following ones (my thoughts on them in italic):

    Flex
    FontForge (recommended using at least 20100501); it must also be compiled with the ‘--enable-double’ switch, else this can lead to inaccurate intersection calculations which end up with poorly-rendered glyphs in the output.

    MetaFont
    The mf-nowin, mf, mfw or mfont binaries are usually packaged along with TeX.
    MetaPost
    The mpost binary is also usually packaged with TeX.
So, we should indeed have TeX updated!!!

    Perl
    Texinfo (Use version 4.11 or newer.)

    Type 1 utilities (Use version 1.33 or newer.)
    Cyrillic fonts (Often packaged in repositories as texlive-lang-cyrillic.)

    TeX Gyre ‘OTF’ font packages. As of LilyPond version 2.19.26, the previous default serif, san serif and monospace fonts now use Tex Gyre’s Schola, Heros and Cursor fonts respectively. Also See Fonts.

    The following font families are required:
    Schola, Heros and Cursor.

What are your thoughts about this? Do you think it's actually possible for us to have this beast under OS/2? (Yes I'd love to use it with my machine without having to boot a Linux / Win PC).

3
Hardware / Mouse weirdness
« on: December 04, 2017, 10:03:24 am »
Hello all, long time no see :-) I've been lurking a lot but without having too much to add. Recently, though, I came across a strange problem.

I've a rather old machine built by myself. Nothing too fancy, it's just an old Intel dual core with 2 GiB RAM, working only with eCS 2.1 GA. When I say "rather old" I mean "It has a PS/2 keyboard port and mouse port".

I used to work on it with an USB mouse connected to the PS/2 port via an adaptor and it worked fairly well (it's still smoother than my last laptop with an i5 CPU and Windows 10, mind you).

In the last few days, though, strange things have happened:

1 - my old mouse stopped working its left button, so I tried to use an USB mouse. It worked the first time and then no more.

2 - I tried another old PS/2 mouse (but this could be not working) and no success.

3 - I bought a new (wired, not wireless) USB mouse and tried to connect it to all the USB ports, other than the PS/2 port with its adaptor, and nothing - no mouse movements.

4 - everytime I connect the mouse to the USB port, eCS beeps (it's the same beep that occurs when I connect an USB pendrive or other MSD).

5 - Amouse is installed and Amouse USB driver too. Amouse control panel seems to detect the mouse, but the pointer does not move and pushing any of the mouse buttons doesn't do anything.

Now I want to take some time to try and see if the eCS installer actually sees the mouse. The same I'll do with some other OS installer (say, some linux).

Maybe this is the right time to think about migrating to ArcaOS...

Some ideas, anyone?
Mentore

4
Applications / [ANPM] No repository, no packages
« on: June 21, 2016, 11:09:51 pm »
Hello everybody.
I'm trying to learn to use Arca Noae Package Manager. After installing and rebooting, I opened it up and into the "Repository" window found nothing listed.

Yet, if I try to add a repository from the list provided in the Arca Noae site, the program tell me the repository has already been added. Still there's no packages I can view.

Since I installed (long ago) a somehow broken RPM/YUM and then tried to deinstall it, I wonder if maybe something undeleted could be messing up things.

Ideas, anyone?
TIA
Mentore

5
Programming / Linking problems in compiling a MAME spinoff
« on: April 24, 2016, 05:32:54 pm »
Hello all.

Time allowing, I'm trying to compile / recompile some old discotinued projects.
I recently came across some old MAME sources (until 0.60 I think), and thought it would be an interesting experiment to see if the old MAME 0.37 b14 from Marty Amodeo would work with those more updated sources. I thought, "Well, if that would allow emulating even a single game more, or make the old ones work better, it would be worth the work" and then I started diff-ing the newer sources with the old ones.

You wouldn't believe it but it compiles  8)
Just, it does not link completely... Upon linking it prints these linker errors:

obj/mame/os2/os2.o: Undefined symbol _ss_deregister_all_funcs referenced from text segment
obj/mame/os2/os2.o: Undefined symbol _WindowProc referenced from data segment
obj/mame/os2/dart.o: Undefined symbol mciSendCommand referenced from text segment
obj/mame/os2/dart.o: Undefined symbol mciSendCommand referenced from text segment
obj/mame/os2/dart.o: Undefined symbol mciSendCommand referenced from text segment
obj/mame/os2/dart.o: Undefined symbol mciSendCommand referenced from text segment
obj/mame/os2/dart.o: Undefined symbol mciSendCommand referenced from text segment
obj/mame/os2/dart.o: Undefined symbol mciSendCommand referenced from text segment

Attached is the os2.mak makefile I'm using. It's identical to the old one present in the 0.37 b14 release, I just changed the -Zmt option with -Zexe to make it link with the new gcc from Paul Smedley (trying gcc 5.10 right now). Also the original makefile was not modified.

The obj files are present and I have downloaded, installed and configured the Warp 4.52 toolkit, so from now on it seems I'm stuck here.

BTW: I of course know there's SDLMAME from the great KO Myung Hun and appreciate it really much - also, I know that I cannot port the latest MAME, which architecture has greatly changed. But I love the old MAME GUI and am accustomed to it. Plus, alas, SDLMAME crashes from time to time...

Hope to hear some news from you.
TIA
Mentore

6
Programming / ptrace and QtCreator
« on: June 22, 2015, 11:58:01 am »
Hello all, kind of a different question. Once sure that Qt programs are compiled, I got back porting QtCreator 2.1 (the latest under Qt 4.7, AFAIK).

I got stuck, still, in compiling qtcreator_process_stub, an utility executable which was present also in the 1.3.1 version of Qt Creator for OS/2.

The source makes use of two ptrace calls, which I had to modify to make it compile (I'm not listing the modifications I'm making: Qt Creator 2.1 is really old, so I don't think it would be possible to include them in the official sources). And it compiles well but fails linking, complaining the absence of _ptrace from symbols.

This is indeed correct: I searched for ptrace in my development tree and found only the ptrace.h neader file - no .c, .cpp, .cc nor library file. Searching in the usual places didn't take me further.

From Wikipedia I'm seeing ptrace is useful but rather obsolete, so I was wondering if there's a ptrace for OS/2 or I have to delete those calls to make our version of QtCreator work. The one who developed the 1.3.1 version for OS/2 would be really of help in this circumstance.

Thanks in advance,
Mentore

7
Hello all.

I'm getting back to porting Qt programs, but I'm having troubles in linking. Here's the scenario: I decided to port Socializer (facebook QT browser) to try and have a native facebook browser native.

Being a Qt 5 application, I solved the JSON problem with an alternative library - works.

The program compiles but doesn't link. If I use -Zomf, the prelinker stops reporting a bunch of undetermined references, while using -Zexe it's g++ (ld) which stops saying it doesn't recognize the -O option. Needless to say, but there's no '-O' option in linker switches.

I also tried to

I attach here the makefile and the error messages reported. I'm currently using GCC 4.73, but the errors are the same. I even tried to delete all the -Z* linker options, and linking stops complaining it can't find the Qt libraries with errors like this:

U:/usr/i386-pc-os2-emx/bin/ld.exe: No such file or directory for QtGui4

or

U:/usr/i386-pc-os2-emx/bin/ld.exe: No such file or directory for QtWebKit4

but the library files (.lib files) are there. I'm really puzzled by this behavior. (Of course it's my ignorance on how gcc / ld work.)

8
Hello all.
I'm having some strange problems in porting Qt gui applications, in this case QtCreator 2.0 (I can't use QtCreator 1.31 due to some strange compatibility issues with the latest Qt 4.7.3, so I decided to try and port one of the last versions which do not require Qt >= 4.8).

I'm following, AFAIK, all the correct informations. Qt include files, Qt binaries and Qt libraries are in /usr/include/qt4, /usr/bin and /usr/lib/qt4 respectively. QTDIR is set on \usr\bin as well (I copied headers and libraries into places similar to those used in linux, to try and be more comfortable with unix makefiles).

After set MAKESHELL=cmd.exe qmake worked without problems, but after issuing make the result was this error message:

******
[U:\progetti\qt-creator-2.0.0-src]make
cd src && make -f Makefile
make[1]: Entering directory `U:/progetti/qt-creator-2.0.0-src/src'
cd libs && make -f Makefile
make[2]: Entering directory `U:/progetti/qt-creator-2.0.0-src/src/libs'
cd qtconcurrent && make -f Makefile
make[3]: Entering directory `U:/progetti/qt-creator-2.0.0-src/src/libs/qtconcurrent'
g++ -Zomf -Zstack 0x2000 -Zlinker "DISABLE 1121" -s -Zdll -Zhigh-mem -Zmap -o ..\..\..\lib\qtcreator\QtConcurrent.dll ..\..\..\lib\qtcreator\QtConcurrent.def -W
l,@OBJECTS.QtConcurrent.rsp -Lu:\usr\lib -Lu:\progetti\qt-creator-2.0.0-src\lib\qtcreator -lQtGui -lQtCore
weakld: cannot open library file 'u:\usr\lib\qt4\QtGui_s.a'.
emxomfld: weak prelinker failed. (rc=8)
make[3]: *** [..\..\..\lib\qtcreator\QtConcurrent.dll] Error 1
make[3]: Leaving directory `U:/progetti/qt-creator-2.0.0-src/src/libs/qtconcurrent'
make[2]: *** [sub-qtconcurrent-make_default-ordered] Error 2
make[2]: Leaving directory `U:/progetti/qt-creator-2.0.0-src/src/libs'
make[1]: *** [sub-libs-make_default-ordered] Error 2
make[1]: Leaving directory `U:/progetti/qt-creator-2.0.0-src/src'
make: *** [sub-src-make_default-ordered] Error 2

******

It seems that the linker is trying to access QtGui_s.a instead of QtGui4.lib, which is the library file in our Qt distribution.

I remember I was able to port some Qt 4 application with 4.5 and 4.6 release, but now I'm stuck and I don't know what the problem might be.

Some help, anyone?

Mentore

9
Multimedia / [Uniaud] No sound even if audio card is recognized
« on: April 27, 2015, 07:36:43 pm »
Hello all, I made some experiments but I'm stuck. Here's the situation:

I have an eCS 2.1 UK edition, which is working really nice (even if Firefox is a little less performing and stable than the Windows version - but I greatly praise the developers of the OS/2 version!).

I would like to use this machine also for audio editing, other than porting software (in fact, I'd like to try and port Audacity), but currently I have no sound at all. The uniinfo test program reports, for ALSA helper:

00-00: ALC662 rev1 Analog : ALC662 rev1 Analog
 : playback 1
 : capture 1

00-01: ALC662 rev1 Digital : ALC662 rev1 Digital
 : playback 1
 : capture 1

OSS32_Initialize: SUCCESS. Cards=1

But, trying to set the output volume:

U16: MixerSetVolume: OSS16_MixSetVolume failed!!

This is the uniaud.dll card info:

  id: Intel
  driver: HDA-Intel
  name: HDA Intel
  longname: HDA Intel at 0xfeaf8000 irq 16
  mixer: Realtek ALC662 rev1
  componenets: HDA:10ec0662,18493662,00100101


So it's an HDA audio card with ALC662 mixer. I'm using the latest ACPI on a dual core Intel CPU, ASRock motherboard.

I tried to take a look into the compatibility grid from Netlabs, but even trying multiple versions of Uniaud, I still can't get no sound. This is becoming sad... My eCS machine is way faster than the WinXP laptop I'm using for these works (plus, I love WPS).

Of course one solution would be disabling the onboard audio card and getting something else on a PCI slot, but I'd prefer not to add cards if unnecessary.

I hope someone will point me in the right direction, because I'm currently stuck. Thanks in advance!

Mentore

10
Programming / Porting apps with GCC - Whops, SDL not found???
« on: October 17, 2014, 09:17:41 am »
Now, this puzzles me.

I'm getting back to build some OS/2 ports, and some of them are SDL applications.

I'm using Paul Smedley's build environment, together with the updated GCC (currently I have installed GCC 3.3.5, 4.5.2, 4.7.3 and 4.9.1 in separate /usr/local??? directories).

The last time I tried, (which is months ago) SDL was correctly recognized: all the relevant files are under the \extras directory under the root drive (U:\extras\bin, \lib, \include) and the sdl-config script is correctly located and pointed to by the command files gcc335.cmd (452, 473, 491).

I even managed to build some SDL apps (namely, software related to ZX Spectrum emulation, a version of SDL scavenger and some other little thing).

Now, it seems this doesn't work anymore: even double-checking everything, configure or make cannot find the SDL libs or includes (this depends on the program I'm trying to compile).

As I'm not so much interested in SDL software developing, this doesn't trouble me a lot, but still I'd like to be able to port some other SDL application.

The only thing I changed since the last ports I made is that I installed the latest SDL libraries, copying them over the older files. So everything should be in the correct places: header files in \extras\include, libraries in \extras\lib and so on.

I'm afraid I will have to copy everything in \usr\local???, but this might end in a mess, and I'd like to avoid it and keep the neat structure I already used.

Suggestions, anyone?

Thanks in advance.
Mentore


11
Applications / TeXStudio and POPP46.DLL - missing?
« on: October 07, 2014, 08:57:16 am »
Hello all,

another question related to TeXStudio.

I was able to fire up TeXStudio (didn't have the time to give it a serious try, I admit, but I have some work in TeX and LaTeX which I want to complete) until the last three versions.

Now, if I try to launch it from WPS or Larsen Commander, only the Properties page opens up. From the command line, the system states it wants POPP46, which I suppose is a part of the popplr library.

Still I can't seem to find it anywhere. Yesterday evening I tried to surf all the Netlabs pages for Qt 4 but without success (even if I was able to download some other interesting software, but this is another story).

Is there some solution? I surely did wrong somewhere but now I'm stuck and with little to no time to experiment...

Thanks in advance.

Mentore

12
Applications / Heavy issues with PSI/2
« on: September 24, 2014, 09:49:31 am »
Hello all, I searched the forum for a similar argument but found nothing, so here I am.

I installed the latest PSI and gave it a try, still it has the same bad behavior of the earlier releases: suddendly it hangs the WPS, with or without Firefox running.

I'd like to use PSI for my chat sessions, which usually I do at late evening, but this PSI problem is puzzling me.

Did someone of you notice some strange behavior of this software? (needless to say, the Windows version works fine) I have little time to fiddle with its settings, but I feel it could be something like incoming message notifications or something similar.

Thanks in Advance.
Mentore

Pages: [1]